Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Static Public Attributes | List of all members
cutlass::TileTraitsContiguousMajor< Tile_, Threads > Struct Template Reference

`#include <tile_traits_standard.h>`

## Public Types
typedef Tile_ | Tile
| Shape of tile. More...
typedef Shape< 1, 1, kThreads > | ThreadShape
| Thread shape. More...
typedef Shape< 1, 1, kThreads > | Delta
| Delta between each thread's access. More...
typedef Shape< 1, Tile::kH, Tile::kW/kThreads > | Iterations
| Number of iterations. More...
typedef TiledThreadOffset< ThreadShape > | ThreadOffset
| Computes the initial offset. More...

## Static Public Attributes
static int const | kThreads = Threads
| Number of participating threads. More...

## Detailed Description

### template<typename Tile_, int Threads>
struct cutlass::TileTraitsContiguousMajor< Tile_, Threads >

Tiling in which the number of threads is fewer than the tile size in the contiguous dimension.

## Member Typedef Documentation

## ◆ Delta

template<typename Tile_ , int Threads>

typedef Shape<1, 1, kThreads> cutlass::TileTraitsContiguousMajor< Tile_, Threads >::Delta

## ◆ Iterations

template<typename Tile_ , int Threads>

typedef Shape<1, Tile::kH, Tile::kW / kThreads> cutlass::TileTraitsContiguousMajor< Tile_, Threads >::Iterations

## ◆ ThreadOffset

template<typename Tile_ , int Threads>

typedef TiledThreadOffset<ThreadShape> cutlass::TileTraitsContiguousMajor< Tile_, Threads >::ThreadOffset

## ◆ ThreadShape

template<typename Tile_ , int Threads>

typedef Shape<1, 1, kThreads> cutlass::TileTraitsContiguousMajor< Tile_, Threads >::ThreadShape

## ◆ Tile

template<typename Tile_ , int Threads>

typedef Tile_ cutlass::TileTraitsContiguousMajor< Tile_, Threads >::Tile

## Member Data Documentation

## ◆ kThreads

template<typename Tile_ , int Threads>

int const cutlass::TileTraitsContiguousMajor< Tile_, Threads >::kThreads = Threads
| static

The documentation for this struct was generated from the following file:

- tile_traits_standard.h